Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.conf
Class AutoDetachValue

    java.lang.Object
      org.apache.openjpa.lib.conf.Value
          org.apache.openjpa.lib.conf.StringListValue
              org.apache.openjpa.conf.AutoDetachValue

All Implemented Interfaces:
  Cloneable

     class AutoDetachValue

extends StringListValue

Value type used to represent auto detach flags. Separate to optimize translation of Strings to bit flags.

Author:
  Steve Kim

Field Summary
`static String` | `DETACH_CLOSE`
`static String` | `DETACH_COMMIT`
`static String` | `DETACH_NONE`
`static String` | `DETACH_NONTXREAD`
`static String` | `DETACH_ROLLBACK`

Fields inherited from class org.apache.openjpa.lib.conf.StringListValue
`EMPTY`

Fields inherited from class org.apache.openjpa.lib.conf.Value
`INVISIBLE`

Constructor Summary
`AutoDetachValue()`

Method Summary
`protected List<String>` | `getAliasList()`
`int` | `getConstant()`
`Class` | `getValueType()` Returns the type of the property that this Value represents.
`void` | `setConstant(int flags)`

Methods inherited from class org.apache.openjpa.lib.conf.StringListValue
`get, getInternalString, set, setInternalObject, setInternalString, unalias`

Methods inherited from class org.apache.openjpa.lib.conf.Value
`addEquivalentKey, addListener, alias, alias, assertChangeable, clone, equals, getAliases, getDefault, getEquivalentKeys, getInstantiatingGetter, getListeners, getLoadKey, getOriginalValue, getProperty, getPropertyKeys, getScope, getString, hashCode, hide, isAliasListComprehensive, isDynamic, isHidden, isPrivate, makePrivate, matches, removeListener, setAlias, setAlias, setAliases, setAliasListComprehensive, setDefault, setDynamic, setInstantiatingGetter, setLoadKey, setObject, setProperty, setScope, setString, toString, unalias, valueChanged`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DETACH_CLOSE

    public static final String DETACH_CLOSE

See Also:
  Constant Field Values

### DETACH_COMMIT

    public static final String DETACH_COMMIT

See Also:
  Constant Field Values

### DETACH_ROLLBACK

    public static final String DETACH_ROLLBACK

See Also:
  Constant Field Values

### DETACH_NONTXREAD

    public static final String DETACH_NONTXREAD

See Also:
  Constant Field Values

### DETACH_NONE

    public static final String DETACH_NONE

See Also:
  Constant Field Values

Constructor Detail

### AutoDetachValue

    public AutoDetachValue()

Method Detail

### getValueType

    public Class getValueType()

  Description copied from class: `Value`
  Returns the type of the property that this Value represents.

  Overrides:
    `getValueType` in class `StringListValue`

### setConstant

    public void setConstant(int flags)

### getConstant

    public int getConstant()

### getAliasList

    protected List<String> getAliasList()

  Overrides:
    `getAliasList` in class `StringListValue`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.